Show / Hide Table of Contents

# Struct ImPlotRangePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImPlotNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImPlotRangePtr

### Constructors

| Improve this Doc View Source

#### ImPlotRangePtr(ImPlotRange*)

##### Declaration

    public ImPlotRangePtr(ImPlotRange*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRange* | nativePtr |

| Improve this Doc View Source

#### ImPlotRangePtr(IntPtr)

##### Declaration

    public ImPlotRangePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### Max

##### Declaration

    public double Max { get; }

##### Property Value

Type | Description
--- | ---
System.Double |

| Improve this Doc View Source

#### Min

##### Declaration

    public double Min { get; }

##### Property Value

Type | Description
--- | ---
System.Double |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImPlotRange*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImPlotRange* |

### Methods

| Improve this Doc View Source

#### Contains(Double)

##### Declaration

    public bool Contains(double value)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Double | value |

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### Size()

##### Declaration

    public double Size()

##### Returns

Type | Description
--- | ---
System.Double |

### Operators

| Improve this Doc View Source

#### Implicit(ImPlotRange* to ImPlotRangePtr)

##### Declaration

    public static implicit operator ImPlotRangePtr(ImPlotRange*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRange* | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotRangePtr |

| Improve this Doc View Source

#### Implicit(ImPlotRangePtr to ImPlotRange*)

##### Declaration

    public static implicit operator ImPlotRange*(ImPlotRangePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImPlotRangePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImPlotRange* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImPlotRangePtr)

##### Declaration

    public static implicit operator ImPlotRangePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImPlotRangePtr |